/**
 * 不符合项登记相关
 */
import http from '../http'

export default {
  page: data =>
    http.post('/res/v1/frame_unconform_improve/page', data).then(res => res),
  add: data =>
    http.post('/res/v1/frame_unconform_improve/', data).then(res => res),
  edit: data =>
    http
      .put('/res/v1/frame_unconform_improve/' + data.id, data.obj)
      .then(res => res),
  deleteByIds: ids =>
    http.delete('/res/v1/frame_unconform_improve/?ids=' + ids).then(res => res),
  getById: id =>
    http.get('/res/v1/frame_unconform_improve/' + id).then(res => res),
  getTemp: () =>
    http.get('/res/v1/frame_unconform_improve/getTemp/').then(res => res),
  deleteFileById: id =>
    http
      .delete('/res/v1/frame_unconform_improve/deleteFile/?id=' + id)
      .then(res => res),
  submitByIds: ids =>
    http
      .post('/res/v1/frame_unconform_improve/submit/?ids=' + ids)
      .then(res => res)
}
